%define		gemdir		%(ruby -rubygems -e 'puts Gem::dir' 2>/dev/null)
%define		gemname		zoom
%define		geminstdir	%{gemdir}/gems/%{gemname}-%{version}

%{!?ruby_sitearch:	%global	ruby_sitearch	%(ruby -rrbconfig -e "puts Config::CONFIG['sitearchdir']")}

%define		rubyabi		1.8
%define		repoid		28211


Name:		rubygem-%{gemname}
Version:	0.4.1
Release:	12%{?dist}
Group:		Development/Languages
Summary:	Ruby binding to ZOOM

License:	LGPLv2+
URL:		http://ruby-zoom.rubyforge.org/
Source0:	http://gems.rubyforge.org/gems/%{gemname}-%{version}.gem

BuildRequires:	ruby(abi) = %{rubyabi}
BuildRequires:	rubygem(rake)
BuildRequires:	ruby-devel

BuildRequires:	libgcrypt-devel
BuildRequires:	libgpg-error-devel
BuildRequires:	libxslt-devel
BuildRequires:	libyaz-devel
BuildRequires:	tcp_wrappers-devel

Requires:	ruby(abi) = %{rubyabi}
Requires:	ruby(rubygems)

Provides:	rubygem(%{gemname}) = %{version}-%{release}
# Obsolete but not provide
# Obsoletes: ruby(zoom) < 0.3.0 does not obsolete ruby-zoom
Obsoletes:	ruby-zoom < 0.3.0

%description
Ruby/ZOOM provides a Ruby binding to the Z39.50 Object-Orientation 
Model (ZOOM), an abstract object-oriented programming interface 
to a subset of the services specified by the Z39.50 standard, 
also known as the international standard ISO 23950.

%package	doc
Summary:	Documentation for %{name}
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package contains documentation for %{name}.


%prep
%setup -q -c -T

export CONFIGURE_ARGS="--with-cflags='%{optflags}'"
gem install \
	-V \
	--local \
	--install-dir ./%{gemdir} \
	--force \
	%{SOURCE0}

chmod 0644 ./%{gemdir}/cache/%{gemname}-%{version}.gem
find . -type f -print0 | xargs --null chmod ugo+r

%build

%install
# 1. copy all
mkdir -p %{buildroot}%{_prefix}
cp -a .%{_prefix}/* %{buildroot}%{_prefix}/

# 2. move ruby C extention
mkdir -p %{buildroot}%{ruby_sitearch}
mv -f %{buildroot}%{geminstdir}/lib/*.so \
	%{buildroot}%{ruby_sitearch}/

# 3. Cleanups
# Use rmdir, to check if any files are left under lib/
rmdir %{buildroot}%{geminstdir}/lib/
rm -rf %{buildroot}%{geminstdir}/src/

%check
# Net connection needed, disabling now.
exit 0
rake test

%files
%defattr(-, root, root,-)
%{ruby_sitearch}/%{gemname}.so

%dir %{geminstdir}/
%doc %{geminstdir}/[A-Z]*

%{gemdir}/cache/%{gemname}-%{version}.gem
%{gemdir}/specifications/%{gemname}-%{version}.gemspec

%files doc
%defattr(-,root,root,-)
%{geminstdir}/Rakefile
%{geminstdir}/sample/
%{geminstdir}/test/

%changelog
* Sun Jun 26 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.4.1-12
- Fix permission

* Sun Jun 05 2011 Mamoru Tasaka <mtasaka@fedoraproject.org> - 0.4.1-11
- Simplify packaging

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Dec  7 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-9
- Add more BRs

* Thu Apr  8 2010 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- F-14: rebuild for new yaz

* Sat Sep 19 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-7
- Fix permission

* Sat Jul 25 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-6
- F-12: Mass rebuild

* Tue Feb 24 2009 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-5
- %%global-ize "nested" macro

* Mon Oct 27 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-4
- Better way to set CFLAGS and create debuginfo rpm correctly

* Wed Oct  8 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-3
- Split out unneeded files in better way

* Sat Feb  9 2008 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp>
- Rebuild against gcc43

* Thu Dec  6 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2.dist.2
- Rebuild against new openssl

* Wed Nov 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.4.1-2
- 0.4.1
- Also update URL

* Tue Nov 13 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.3.0-1
- 0.3.0, switch to gem.

* Sun Nov  4 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.3-1
- 0.2.3

* Wed Aug 22 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3.dist.2
- Mass rebuild (buildID or binutils issue)

* Fri Aug  3 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3.dist.1
- License update

* Sat Jun 16 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-3
- Rebuild (against new yaz)

* Sat Apr 28 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-2
- Add more documents

* Sat Apr 21 2007 Mamoru Tasaka <mtasaka@ioa.s.u-tokyo.ac.jp> - 0.2.2-1
- Initial packaging
